pl_syscolors.d(1m)

NAME
pl_syscolors.d - trace Perl subroutine flow plus syscalls, in color.

SYNOPSIS
pl_syscolors.d { -p PID | -c cmd }

DESCRIPTION
This watches Perl subroutine entries and returns, and indents child subroutine calls. Filename and subroutine names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Perl provider, which may change as additional features are introduced. Check Perl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # pl_syscolors.d

FIELDS

C   CPU-id

PID Process ID

DELTA(us)
    Elapsed time from previous line to this line

FILE
    Filename of the Perl program

LINE
    Line number of filename

TYPE
    Type of call (sub/syscall)

NAME
    Perl subroutine or syscall name

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
pl_syscolors.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)